# !/bin/sh
#
# Author: Johnny Ma
# Date: 02/11/2012
# Description: 	
#	This script will enable webconfig-httpd on port 80 and 443
# Return Code:
#	0 - No Error
#	1 - File Missing
#		
# Copyright: Sangoma Technologies Corp. 2012

touch mytemp
sed '/Listen 82/a \Listen 80\nListen 443' /usr/webconfig/conf/httpd.conf > mytemp
sed -i '/:81/a \\tErrorDocument 404 /public/error.php?code=404\n\tSetEnvIf User-Agent ".*MSIE.*" nokeepalive ssl-unclean-shutdown downgrade-1.0 force-response-1.0\n\tRewriteEngine on\n\tRewriteCond %{REQUEST_METHOD} ^(TRACE|TRACK)\n\tRewriteRule .* - [F]\n</VirtualHost>\n\n<VirtualHost _default_:443>' mytemp

sed -i 's/^MaxClients.*/MaxClients 50/g' mytemp
sed -i '/Listen 443/a ExtendedStatus on' mytemp

sed -i 's/^.*SSLEngine .*/SSLEngine  on/g' mytemp
sed -i 's|^.*ErrorDocument .*|ErrorDocument 404 /public/error.php\?code=404|g' mytemp

cat mytemp > /usr/webconfig/conf/httpd.conf
rm mytemp

exit 0

